{-------------------------------------------------------------------
 *  Copyright (c) 1997 Martin Zahl
 *    eMail: Martin.Zahl@Informatik.uni-Oldenburg.de
 * Homepage: http://www.informatik.uni-oldenburg.de/~mzahl
 *
 *   Unit: InfoDlg.pas
 *  Modul: InfoDialog
 *
 *  Datum: 12.02.98 08:59:25
 *
 *  Bemerkung:
 *    Show a dialog for critical situations, where you must enter
 *    "YES" to continue.
 *  Geschichte:
 *    Version 1.0
 *
 -------------------------------------------------------------------}

unit InfoDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SDlg;

type
//  TSprachen = (sDeutsch, SEnglisch, sItalienisch, sFranzoesisch, sRussisch);
  TInfoDlg = class(TComponent)
  private
    { Private-Deklarationen }
    sInfo,
    sFirmenname : string;
    mSprache    : TSprachen;
  protected
    { Protected-Deklarationen }
  public
    { Public-Deklarationen }
    function Execute:boolean;
    constructor Create(AOwner:TComponent); override;
  published
    { Published-Deklarationen }
    property Firmenname : string read sFirmenname write sFirmenname;
    property Nachricht  : string read sInfo write sInfo;
    property Sprache    : TSprachen read mSprache write mSprache;
  end;

procedure Register;

implementation

// ---------------------------------------------------------------------- //
// TInfoDlg.Create
// ---------------------------------------------------------------------- //
constructor TInfoDlg.Create(AOwner:TComponent);
begin
  inherited;
  sInfo:=StdInfo;
  mSprache:=sDeutsch;
end;

// ---------------------------------------------------------------------- //
// TInfoDlg.Execute
// ---------------------------------------------------------------------- //
function TInfoDlg.Execute:boolean;
begin
  SicherDlg:=TSicherDlg.Create(Application);
  with SicherDlg do try
    Sprache    := self.mSprache;
    Nachricht  := self.sInfo;
    Firmenname := self.sFirmenname;
    Result:=(ShowModal=mrOk);
  finally
    SicherDlg.Free;
  end;
end;

procedure Register;
begin
  RegisterComponents('LogOn', [TInfoDlg]);
end;

end.
