{*******************************************************************
 *  Copyright (c) 1997 Martin Zahl                                 *
 *  eMail: Martin.Zahl@Informatik.uni-Oldenburg.de                 *
 *  homepage: http://www.informatik.uni-oldenburg.de/~mzahl        *
 *  Modul: Sicher-Dialog                                           *
 *                                                                 *
 *  Datum: 03.08.97 15:18:08                                       *
 *                                                                 *
 *  Bemerkung:                                                     *
 *    Weisst den Benutzer auf kritische Aktionen hin               *
 *    Anzeige wird durch Einstellungen gesteuert.                  *
 *  Geschichte:                                                    *
 *    Please add your language and send a copy to me !!!           *
 *                                                                 *
 *******************************************************************}

unit SDlg;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  StdCtrls, ExtCtrls, Forms, Mask, Wordcap;

const
  // German
  StdInfo     = 'Sind Sie sich wirklich sicher diesen Vorgang durchzufhren ?';
  sdAchtung   = 'ACHTUNG !';
  sdJa        = 'JA';
  sdOk        = 'OK';
  sdAbbruch   = 'Abbruch';
  sdMake      = 'ich mchte diesen Vorgang durchfhren.';
  sdBest      = 'Besttigen Sie daher diesen Vorgang durch die Eingabe von "JA".';

  // english
  seAchtung   = 'ATTENTION !';
  seJa        = 'YES';
  seOk        = 'OK';
  seAbbruch   = 'Cancel';
  seMake      = 'I want it.';
  seBest      = 'Please sign your choice with "YES".';

  // and so on ...

type
  TSprachen = (sDeutsch, sEnglisch, sItalienisch, sFranzoesisch, sRussisch);
  TSicherDlg = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Image1: TImage;
    Bevel1: TBevel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Ja: TMaskEdit;
    Label4: TLabel;
    MSOfficeCaption1: TMSOfficeCaption;
    procedure JaChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    Info         : string;
    MyFirmenname : string;
    mSprache     : TSprachen;
  public
    property Nachricht  : string read Info write Info;
    property Firmenname : string read MyFirmenname write MyFirmenname;
    property Sprache    : TSprachen read mSprache write mSprache;
  end;

var
  SicherDlg: TSicherDlg;

implementation
{$R *.DFM}

// ---------------------------------------------------------------------- //
// TSicherDlg.JaChange
// ---------------------------------------------------------------------- //
procedure TSicherDlg.JaChange(Sender: TObject);
var sJa : string[10];
begin
  case mSprache of
    sDeutsch  : sJa:=sdJa;
    sEnglisch : sJa:=seJa;
    else sJa:=seJa;
  end;
  Button1.Enabled:=Uppercase(Ja.Text)=sJa;
end;

// ---------------------------------------------------------------------- //
// TSicherDlg.FormShow
// ---------------------------------------------------------------------- //
procedure TSicherDlg.FormShow(Sender: TObject);
begin
  MSOfficeCaption1.CompanyText.Caption:=MyFirmenname;
  case mSprache of
    sDeutsch  : begin
                  Label1.Caption  := sdAchtung;
                  Label3.Caption  := sdBest;
                  Label4.Caption  := sdMake;
                  Button1.Caption := sdOk;
                  Button2.Caption := sdAbbruch;
                  Ja.EditMask:='LL;0';
                  Ja.MaxLength:=Length(sdJa);
                end;
    sEnglisch : begin
                  Label1.Caption:=seAchtung;
                  Label3.Caption  := seBest;
                  Label4.Caption  := seMake;
                  Button1.Caption := seOk;
                  Button2.Caption := seAbbruch;
                  Ja.EditMask:='LLL;0';
                  Ja.MaxLength:=Length(seJa);
                end;
    else begin
           Label1.Caption:=seAchtung;
           Label3.Caption  := seBest;
           Label4.Caption  := seMake;
           Button1.Caption := seOk;
           Button2.Caption := seAbbruch;
           Ja.EditMask:='LLL;0';
           Ja.MaxLength:=Length(seJa);
         end;
  end;

  if Trim(Info)<>'' then Label2.Caption:=Info
                    else Label2.Caption:=StdInfo;
  Info:='';
  Ja.Text:='';
  Ja.SetFocus;
end;

// ---------------------------------------------------------------------- //
// TSicherDlg.FormCreate
// ---------------------------------------------------------------------- //
procedure TSicherDlg.FormCreate(Sender: TObject);
begin
  Info:='';
end;

end.
